Remove support for pre-Haiku, non-POSIX, non-C99 BeOS variants.